FIELD3D_NAMESPACE_OPEN Namespace Reference

## Functions

template<class Matrix_T>
bool | checkMatricesIdentical (const Matrix_T &m1, const Matrix_T &m2, double tolerance)
const string | k_frustumMappingName ("FrustumFieldMapping")
const string | k_mappingName ("FieldMapping")
const string | k_matrixMappingName ("MatrixFieldMapping")
const string | k_nullMappingName ("NullFieldMapping")

## Variables

size_t | g_numIOThreads = 1

## Function Documentation

## k_mappingName()

const string FIELD3D_NAMESPACE_OPEN::k_mappingName | ( | "FieldMapping" |  | ) |

References k_mappingName().

Referenced by k_mappingName().

## k_nullMappingName()

const string FIELD3D_NAMESPACE_OPEN::k_nullMappingName | ( | "NullFieldMapping" |  | ) |

References k_nullMappingName().

Referenced by k_nullMappingName().

## k_matrixMappingName()

const string FIELD3D_NAMESPACE_OPEN::k_matrixMappingName | ( | "MatrixFieldMapping" |  | ) |

References k_matrixMappingName().

Referenced by k_matrixMappingName().

## k_frustumMappingName()

const string FIELD3D_NAMESPACE_OPEN::k_frustumMappingName | ( | "FrustumFieldMapping" |  | ) |

References k_frustumMappingName().

Referenced by k_frustumMappingName().

## checkMatricesIdentical()

template<class Matrix_T>

bool FIELD3D_NAMESPACE_OPEN::checkMatricesIdentical | ( | const Matrix_T & | m1,
|  | const Matrix_T & | m2,
|  | double | tolerance )

Definition at line 86 of file FieldMapping.cpp.

{
if (m1.equalWithRelError(m2, tolerance)) {
return true;
}
V3d s1, r1, t1, sh1, s2, r2, t2, sh2;
if (!FIELD3D_EXTRACT_SHRT(m1, s1, sh1, r1, t1, false)) {
return false;
}
if (!FIELD3D_EXTRACT_SHRT(m2, s2, sh2, r2, t2, false)) {
return false;
}
if (!s1.equalWithRelError(s2, tolerance) ||
!r1.equalWithAbsError(r2, tolerance) ||
!t1.equalWithRelError(t2, tolerance)) {
return false;
}
return true;
}
V3d
Imath::V3d V3d
Definition SpiMathLib.h:74
FIELD3D_EXTRACT_SHRT
#define FIELD3D_EXTRACT_SHRT
Definition SpiMathLib.h:93

References checkMatricesIdentical(), and FIELD3D_EXTRACT_SHRT.

Referenced by checkMatricesIdentical().

## Variable Documentation

## g_numIOThreads

size_t FIELD3D_NAMESPACE_OPEN::g_numIOThreads = 1

Definition at line 60 of file InitIO.cpp.